package com.bonus.material.ma.service;


import com.bonus.material.ma.domain.DirectApplyDetails;
import com.bonus.material.ma.domain.DirectApplyInfo;
import com.bonus.material.ma.domain.DirectPassApplyInfoDetails;
import com.bonus.material.settlement.domain.SltAgreementInfo;
import com.bonus.material.task.domain.TmTask;

import java.util.List;

/**
 * @author ：梁超
 */
public interface WorkSiteDirectManageService {

   List<SltAgreementInfo> getUseringData(SltAgreementInfo sltAgreementInfo);

   int saveDirectApplyInfo(DirectApplyInfo directApplyInfos);

   int saveDirectApplyDetails(DirectApplyDetails directApplyInfos);

   int refuseDirectApplyInfo(DirectApplyInfo directApplyInfos);

    List<DirectApplyInfo> getList(DirectApplyInfo directApplyInfo);

    String genderLeaseCode();

    DirectApplyInfo getDirectApplyInfoById(String id);

    int insertTmTask(TmTask bean);

    DirectApplyInfo getInfoById(SltAgreementInfo sltAgreementInfo);

    int passDirectApplyInfoDetails(DirectPassApplyInfoDetails directApplyInfoDetails);
}
